Package org.tmatesoft.svn.core.wc2

# Class SvnSetLock

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<SVNLock>
org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SVNLock>
org.tmatesoft.svn.core.wc2.SvnSetLock

All Implemented Interfaces:
  `ISvnObjectReceiver<SVNLock>`, `ISvnOperationOptionsProvider`

public class SvnSetLock extends SvnReceivingOperation<SVNLock>
Represents operation for locking files. Locks file items in a working copy as well as in a repository so that no other user can commit changes to them.

`SvnOperation.run()` method returns `SVNLock` object that represents information of lock. `SvnOperation.run()` method throws `SVNException` if one of the following is true:

- a `target`'s path to be locked is not under version control
- can not obtain a URL of a local `target`'s path to lock it in the repository - there's no such entry
- `targets` to be locked belong to different repositories ((for SVN 1.6 working copy only)

Version:
  1.7
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnSetLock(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLockMessage()`
Gets the optional comment for the lock.
`protected int`
`getMaximumTargetsCount()`
`boolean`
`isChangesWorkingCopy()`
Gets whether the operation changes working copy
`boolean`
`isStealLock()`
Gets whether or not all existing locks on the specified targets will be "stolen" from another user or working copy.
`void`
`setLockMessage(String lockMessage)`
Sets the optional comment for the lock.
`void`
`setStealLock(boolean stealLock)`
Sets whether or not all existing locks on the specified targets will be "stolen" from another user or working copy.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnSetLock

protected SvnSetLock(SvnOperationFactory factory)

## Method Details

### isStealLock

public boolean isStealLock()
Gets whether or not all existing locks on the specified targets will be "stolen" from another user or working copy.

Returns:
  `true` if locks should be "stolen", otherwise `false`

### setStealLock

public void setStealLock(boolean stealLock)
Sets whether or not all existing locks on the specified targets will be "stolen" from another user or working copy.

Parameters:
  `stealLock` - `true` if locks should be "stolen", otherwise `false`

### getLockMessage

public String getLockMessage()
Gets the optional comment for the lock.

Returns:
  comment for the lock

### setLockMessage

public void setLockMessage(String lockMessage)
Sets the optional comment for the lock.

Parameters:
  `lockMessage` - comment for the lock

### getMaximumTargetsCount

protected int getMaximumTargetsCount()

Overrides:
  `getMaximumTargetsCount` in class `SvnOperation<SVNLock>`

### isChangesWorkingCopy

public boolean isChangesWorkingCopy()
Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<SVNLock>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`